Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.
nombre réponses : 25

#0 -1 »  GRUB et windows8 » Le 31/10/2012, à 11:15

petertosh
Réponses : 2

Bonjour, je vous expose mon problème.
J'ai installé windows 8 sur mon pc. Tout fonctionnait bine. J'ai rajouté ubuntu (la dernière version après) et là j'ai un énorme soucis, impossible de démarrer sous windows.
J'ai eu un soucis de partitions donc il me reste:
sda1: ubuntu
sda4: mon installation linux
la drapeau boot est fixé à sda1.

Je pense que j'ai un gros soucis mais je ne suis pas compétent pour régler le problème. Là où je rigole moins est que je suis enf in de thèse, je dois pouvoir bosser dessus chez moi quand je ne suis pas au labo ce que je ne peux plus faire. Je dois imprimer et envoyer ma thèse lundi. Donc je suis un peu au désespoir de trouver une solution.

Merci pour votre aide.

#1 Re : -1 »  GRUB et windows8 » Le 31/10/2012, à 14:15

petertosh
Réponses : 2

Salut, Oui merci de cette idée j'y avais pensé et cela fonctionne. J'avais de toute façon synchronisé mon dossier avec mes documents de thèse avec une dropbox, donc je n'ai pas de soucis pour récupérer mes données. C'est juste que je préfère utiliser windows à cause des logiciels. J'ai écrit ma thèse avec office 2007 et une version précise de endnote, si je change l'un ou l'autre c'est la débacle tongue
Sans compter sur d'autres logiciels plus spécifiques inutilisables sous linux. Sinon je sauvegarde mon HDD, je formate et réinstalle seven. J'ai testé avec un live CD et boot repair mais le MBR de windows ne peut pas être restauré à cause d'une histoire de formatage  (SFS) incompatible avec l'utilitaire.
Merci encore

#2 -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 20/09/2011, à 13:14

petertosh
Réponses : 16

Bonjour,
J'ais besoin d'installer un logiciel particulier qui nécéssite l'instalation de sundials et de pysundials (http://pysundials.sourceforge.net/).

Tout va bien, l'installation se passe bien mais lorsque j'utilise mon logiciel (qui fonctionne en language python), celui-ci doit faire appel aux librairies pysundials.
Pysundials doit lui se référer aux librairies sundials pour fonctionner (j'espère que je suis clair wink )

Seulement j'obtiens un message d'erreur quand je veux faire appel à pysundials:

PySundials is not installed or did not import correctly
/usr/local/lib/python2.6/dist-packages/pysundials/libsundials_core_aux.so: cannot open shared object file: No such file or directory
Cannot load shared library /usr/local/lib/python2.6/dist-packages/pysundials/libsundials_core_aux.so. Please check you config file and ensure the paths to the shared libraries are correct.

J'ais suivis les recommandations de configuration pour pouvoir faire appel à cette librairie mais sans succès:

PySUNDIALS uses ctypes to link the required SUNDIALS libraries directly into the running python process. In order to do this, it needs to know where to find those shared libraries. On Linux/BSD systems, this is usually auto detected, as library locations are standard, however on windows systems, the final location and even naming convention of the shared library files is compiler dependent. If PySUNDIALS cannot find the SUNDIALS libraries, please locate them yourself, and specify their locations in a file named ~/.pysundials/config (Linux/BSD), or %HOMEPATH%\pysundials\config (Windows). If PySUNDIALS cannot find this configuration file in your home directory, it will seek it in the same directory it was installed in, i.e. $PYTHONROOT/site-packages/pysundials/config

In the 'config' file, anything following a hash (including the hash itself) is considered a comment. Each line specifies the location of a required library in the form library = path, where library is one of 'c', 'aux', 'nvecserial', 'nvecparallel' 'cvode', 'cvodes', 'ida', or 'kinsol', and path is the complete path of the appropriate library file. 'c', 'aux', and 'nvecparallel' are optional; the first two being generally autodetected, and the second only required if you will be using pysundials in parallel with MPI.

You can find a sample config file for both posix and mingw32 systems in the doc subdirectory of the PySUNDIALS distribution.

Peut être que vous pouriez me venir en aide?

Merci pour votre aide

#3 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 20/09/2011, à 15:16

petertosh
Réponses : 16

Je suis sous Debian, il y avait des dépendances que je n'arrivais pas à satisfaire sous Ubuntu. En fouillant un peu sur le net, certaines personnes avaient le même soucis que moi sous Ubuntu mais pas sous Debian.
J'ai donc installé sundials puis pysundials à partir des sources, tout fonctionne bien sauf le lien entre sundials et pysundials. J'ais bien vérifié que les paquets suivants étaient bien installés:

libsundials-cvode0
ordinary differentialequation solver (SUNDIALS library)
libsundials-cvodes1
ODE solver with sensistivity analysis (SUNDIALS library)
libsundials-ida1
differential-algebraic system solver (SUNDIALS library)
libsundials-kinsol0
KINSOL solver (SUNDIALS library)
libsundials-nvecserial0
vector operations library (SUNDIALS library)
libsundials-serial
SUit of Nonlinear and DIfferential/ALgebraic equation Solvers
libsundials-serial-dev
SUNDIALS development files
libsundials-serial-doc
SUNDIALS documentation file

s
Voici le message d'erreur quand sous le prompt python je lance la commande

from pysundials import cvode

:

OSError                                   Traceback (most recent call last)

/home/tonio/Pysces/<ipython console> in <module>()

/usr/local/lib/python2.6/dist-packages/pysundials/cvode.py in <module>()
     38
     39 import ctypes
---> 40 import sundials_core
     41 import nvecserial
     42

/usr/local/lib/python2.6/dist-packages/pysundials/sundials_core.py in <module>()
     86 f.close()
     87
---> 88 libc = loadlib("c")
     89 try:
     90         libc.fdopen.argtypes = [ctypes.c_int, ctypes.c_int]

/usr/local/lib/python2.6/dist-packages/pysundials/sundials_core.py in loadlib(libname)
     62                 lib = ctypes.CDLL(libpaths[libname])
     63         except OSError, e:
---> 64                 raise OSError("%s\nCannot load shared library %s. Please check you config file and ensure the paths to the shared libraries are correct."%(e, libpaths[libname]))
     65         return lib
     66

OSError: /usr/local/lib: cannot read file data: Is a directory
Cannot load shared library /usr/local/lib. Please check you config file and ensure the paths to the shared libraries are correct.

Je suppose que l'erreur provient de ce que je vous ais mis en violet mais je ne sais aps comment y remédier.

En tout cas merci de ton aide

#4 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 20/09/2011, à 15:26

petertosh
Réponses : 16

Pour info, voici mon fichier config:

cvode = /usr/local/lib/libsundials_cvode.la
nvecserial = /usr/local/lib/libsundials_nvecserial.la
cvodes = /usr/local/lib/libsundials_cvodes.la
ida = /usr/local/lib/libsundials_ida.la
idas = /usr/local/lib/libsundials_idas.la
kinsol = /usr/local/lib/libsundials_kinsol.la

nvecparallel = /usr/local/lib/
aux = /usr/local/lib
c = /usr/local/lib

#5 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 20/09/2011, à 15:34

petertosh
Réponses : 16

A force de tatonner j'avance un peu. Il semnblerait que ce soit le lien avec la librairie "c" qui ne soit pas bon. Je vais voir si c'est ça ou si je me plante encore une fois big_smile

#6 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 20/09/2011, à 17:59

petertosh
Réponses : 16

Alors,
J'ai installer ubuntu pour tester ce que tu me disais. Tout s'installe très bien mais j'ai le même soucis.

Couldn't find pysundials config file at /usr/local/lib/python2.7/dist-packages/pysundials/config. Please create one, and point it to the appropriate library files

Donc il faut que j'arrive à créer un fichier config avec les liens vers les bonnes librairies, mais comment faire?

Merci encore

#7 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 20/09/2011, à 18:32

petertosh
Réponses : 16

Merci de ton aide,
J'étais passé à côté du fichier...
Je viens de tester, copier/coller le fichier en le renomant config mais le problème perciste. Je suis vraiment paumé là sad

#8 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 21/09/2011, à 09:04

petertosh
Réponses : 16

Il y a le lien vers les librairies:

nvecserial = /usr/local/lib/libsundials_nvecserial
cvode = /usr/local/lib/libsundials_cvode
cvodes = /usr/local/lib/libsundials_cvodes
ida = /usr/local/lib/libsundials_ida
kinsol = /usr/local/lib/libsundials_kinsol

#9 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 21/09/2011, à 11:33

petertosh
Réponses : 16

Tous les fichiers semblent bien présents:

tonio@bavo-mdebf039:~$ ls -l /usr/local/lib/libsundials_nvecserial
lrwxrwxrwx 1 root staff 28 20 sept. 17:37 /usr/local/lib/libsundials_nvecserial -> libsundials_nvecserial.0.0.1
tonio@bavo-mdebf039:~$ ls -l /usr/local/lib/libsundials_cvode
lrwxrwxrwx 1 root staff 23 20 sept. 17:37 /usr/local/lib/libsundials_cvode -> libsundials_cvode.0.0.1
tonio@bavo-mdebf039:~$ ls -l /usr/local/lib/libsundials_cvodes
lrwxrwxrwx 1 root staff 24 20 sept. 17:37 /usr/local/lib/libsundials_cvodes -> libsundials_cvodes.1.0.0
tonio@bavo-mdebf039:~$ ls -l /usr/local/lib/libsundials_ida
lrwxrwxrwx 1 root staff 21 20 sept. 17:37 /usr/local/lib/libsundials_ida -> libsundials_ida.1.0.0
tonio@bavo-mdebf039:~$ ls -l /usr/local/lib/libsundials_kinsol
lrwxrwxrwx 1 root staff 24 20 sept. 17:37 /usr/local/lib/libsundials_kinsol -> libsundials_kinsol.0.0.1

#10 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 21/09/2011, à 14:18

petertosh
Réponses : 16

Je reviens vers toi et je rectifie quelque chose.
La commande

ls -l /usr/local/lib/libsundials_nvecserial
ls -l /usr/local/lib/libsundials_cvode
ls -l /usr/local/lib/libsundials_cvodes
ls -l /usr/local/lib/libsundials_ida
ls -l /usr/local/lib/libsundials_kinsol

me renvoit les réponses suivants sous mon installation de Ubuntu:

tonio@tonio-VirtualBox:~$ ls -l /usr/local/lib/libsundials_nvecserial
ls: impossible d'accéder à /usr/local/lib/libsundials_nvecserial: Aucun fichier ou dossier de ce type
tonio@tonio-VirtualBox:~$ ls -l /usr/local/lib/libsundials_cvode
ls: impossible d'accéder à /usr/local/lib/libsundials_cvode: Aucun fichier ou dossier de ce type
tonio@tonio-VirtualBox:~$ ls -l /usr/local/lib/libsundials_cvodes
ls: impossible d'accéder à /usr/local/lib/libsundials_cvodes: Aucun fichier ou dossier de ce type
tonio@tonio-VirtualBox:~$ ls -l /usr/local/lib/libsundials_ida
ls: impossible d'accéder à /usr/local/lib/libsundials_ida: Aucun fichier ou dossier de ce type
tonio@tonio-VirtualBox:~$ ls -l /usr/local/lib/libsundials_kinsol
ls: impossible d'accéder à /usr/local/lib/libsundials_kinsol: Aucun fichier ou dossier de ce

type
Dans le dossier incriminé, je retrouve des fichiers similaires, par exemple pour

libsundials_cvode

:

libsundials_cvode.a
libsundials_cvode.la
libsundials_cvode.so
libsundials_cvode.so.1
libsundials_cvode.so.1.0.0

Merci de ton aide en tout cas wink

#11 Re : -1 »  installation ok mais le logiciel ne trouve pas les librairies » Le 21/09/2011, à 17:08

petertosh
Réponses : 16

Pour résumer, sur le premier lien il s'agit d'une installation sous Debian, pour les seconds liens d'une installation virtualisée de ubuntu. Il me faut une image fonctionnelle à installer sur quelques postes. J'ai bien installé les paquets sundials sur le deuxième lien également.

#12 -1 »  [RESOLU] Lier Python à LibSBML » Le 19/09/2011, à 16:25

petertosh
Réponses : 2

Bonjour,
Je viens vous poser une colle, plutôt compliquée je pense wink
J'ai besoin de lier une librairie scientifique (LibSBML) à Python. L'installation de LibSBML est ok mais je n'arrive pas à appeler cette librairie dans Python.
Je dois lancer dans le prompt Python

from libsbml import *

Il me ressort l'erreur suivante:

No module named libsbml

Sur la documentation je me retrouve avec l'information suivante:

First, note that by default, libSBML only builds the C and C++ APIs. To build the Python API as well, libSBML has to be configured with the --with-python flag as described in the installation instructions.

Once that is done, and libSBML has been installed on your system, then Python needs just one more thing to be informed where to find the libSBML package: it needs the environment variable named PYTHONPATH to be set. On Unix-based systems at least, if DIR is the value of the --prefix=DIR option given during configuration of libSBML and version is the version of your copy of Python, then the value of PYTHONPATH needs to be set as follows:

export PYTHONPATH=DIR/lib/version/site-packages

for sh-based shells such as Bash, or

setenv PYTHONPATH DIR/lib/version/site-packages

for csh-based shells. In other words, the PYTHONPATH environment variable needs to be set to the site-packages directory path where the libSBML library has been installed. Please see the section titled "Files installed by libSBML, and their locations" elsewhere in this manual for more information about the files installed for libSBML.

Once the PYTHONPATH variable has been set, you should be able to start the Python interpreter and type the following command to import the libSBML package for Python:

from libsbml import *

If Python produces an import error or a failure in linking a new module, it almost certainly means that the environment variables have not been set correctly. It may also mean that the read/write permissions of the installed library files or a directory in the hierarchy containing them are such that you are not allowed to access the files. In that case, please consult your systems administrator or (if you have administrator priviledges) reset the permissions yourself.

Je ne comprends pas grand chose, est-ce que vous pourriez m'éclairer à lier python et cette fameuse librairie sans laquelle je ne peux pas utiliser mon logiciel?

Un énorme merci à vous

#13 Re : -1 »  [RESOLU] Lier Python à LibSBML » Le 19/09/2011, à 17:37

petertosh
Réponses : 2

Je progresse,
J'ai recomplilé le prrogramme à la main (libsbml) avec : ./ configure --with-python 
Iil semble bien s'installer mais voila ce que je j'obtiens avec la commande suivante:

from libsbml import*

In [1]: from libsbml import*
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)

/home/tonio/<ipython console> in <module>()

/usr/local/lib/python2.6/dist-packages/libsbml/__init__.py in <module>()
     24                 fp.close()
     25             return _mod
---> 26     _libsbml = swig_import_helper()
     27     del swig_import_helper
     28 else:

/usr/local/lib/python2.6/dist-packages/libsbml/__init__.py in swig_import_helper()
     20         if fp is not None:
     21             try:
---> 22                 _mod = imp.load_module('_libsbml', fp, pathname, description)
     23             finally:
     24                 fp.close()

ImportError: libsbml.so.5: cannot open shared object file: No such file or directory

Une idée pour m'aider à avancer un peu plus?

Merci à vous

#14 Re : -1 »  [RESOLU] Lier Python à LibSBML » Le 20/09/2011, à 10:21

petertosh
Réponses : 2

Bon j'ai cherché et j'y suis arrivé.
Mon soucis est que j'avais installer les librairies à partir d'un .deb
J'ai tout supprimé, télécherger la fichiers en .tar.gz et installé à la main.
./ configure --with-python
make && make install

La librairies est bien liée à Python par la suite.

#15 -1 »  Installation logiciel scientifique PySces » Le 10/05/2011, à 15:07

petertosh
Réponses : 0

Bonjour,
Dans le cadre de ma thèse il me faudrait utiliser un logiciel particulier, Pysces (http://pysces.sourceforge.net/index.html)
N'arrivant même pas à l'installer sous windows je tente sous ubuntu que je connais tout de même un peu mieux.
J'ai suivi le tutorial suivant: http://pysces.sourceforge.net/docs/user … onfiguring

J'installe les paquets, les dépendances puis il me faut installer SUNDIALS (là c'est ok) puis PySUNDIALS et là je coince.
Voilà où je bloque:

Linux/BSD

   1. Download and install Python 2.4 or greater, preferably 2.5+
   2. If you are using Python 2.4, download and install the ctypes module as well
   3. Download and untar the complete SUNDIALS suite.
   4. $ ./configure --enable-shared
   5. $ make && make install
   6. Download and untar PySUNDIALS
   7. Change to the directory where you unpacked PySUNDIALS
   8. $ python setup.py install

Quand j'arrive à l'étape 8 j'ai le message suivant:

tonio@tonio-VirtualBox:~/sundials-2.4.0$ cd /home/tonio/pysundials-2.3.0-rc2
tonio@tonio-VirtualBox:~/pysundials-2.3.0-rc2$ python setup.py install
src/sundials_core_aux.c:2: fatal error: sundials/sundials_types.h: Aucun fichier ou dossier de ce type
compilation terminated.
Traceback (most recent call last):
  File "setup.py", line 45, in <module>
    compiler.compile(['src/sundials_core_aux.c'], extra_postargs=['-fPIC'])
  File "/usr/lib/python2.6/distutils/ccompiler.py", line 621, in compile
    self._compile(obj, src, ext, cc_args, extra_postargs, pp_opts)
  File "/usr/lib/python2.6/distutils/unixccompiler.py", line 180, in _compile
    raise CompileError, msg
distutils.errors.CompileError: command 'cc' failed with exit status 1

Sur le site internet il disent la chose suivante mais je pense que cela concerne windows uniquement:

Note that using MSys presents unique problems being a hybrid environment. We recommend using MSys only to compile and install (Py)SUNDIALS, not for use as an environment in which to run PySUNDIALS. Having followed the above instructions, the SUNDIALS shared libs will be in %MSYSROOT%/usr/local/lib/, and end with '-<digit>.exe'. On older versions of MSys/MinGW, the '.exe' extension may be left off.

Pouvez-vous me dire ce que j'ai raté?
Merci beaucoup pour votre aide.

#16 -1 »  Tablet pc HP2710p wacom » Le 10/09/2010, à 22:48

petertosh
Réponses : 4

Bonsoir,
Je viens de m'installer la dernière ubuntu sur mon tablet pc convertible. Tout fonctionne parfaitement même l'écran tactile. Seulement quand je le passe en position portrait, le calibrage du stylet n'est plus du tout bon (la même chose que quand vous faites une rotation de 90° de votre écran et que vous essayez d'utiliser votre souris).
Auriez vous des infos quand au calibrage de la tablet?
Je galère un peu là.

Merci pour votre aide.

#18 Re : -1 »  Tablet pc HP2710p wacom » Le 23/09/2010, à 21:36

petertosh
Réponses : 4

Bon alors pas d'idées? big_smile
Ne me dites pas que je vais devoir rester sous windows quand même? LOL

#19 Re : -1 »  Tablet pc HP2710p wacom » Le 30/09/2010, à 18:00

petertosh
Réponses : 4

Désolé pour le retard. Alors pour la rotation d'écran je l'effectue avec le raccourcie présent dans la barre de tache avec "orienter de 270)" ou un truc dans le genre, pas le pc sous la main donc je ne sais plus quoi exactement. Tu crois que cela peut venir de là mon problème de calibrage?

#20 Re : -1 »  [RESOLU]ATOM pine trail N450 et gestion de l'alimentation » Le 22/09/2010, à 17:53

petertosh
Réponses : 13

Mince désolé j'ai un peu zappé ce topic.
Comment j'avais fait? Bonne question, je n'ai plus ce netbook, mais je crois que j'avais trouvé un tuto sur le forum anglais de Ubuntu.
Désolé de ne pas pouvoir faire plus pour vous.

#21 -1 »  Son haut-parleurs ok mais sortie son HS EEEpc 1001PX » Le 19/05/2010, à 21:26

petertosh
Réponses : 2

Bonsoir,
Je possède un eeepc 1001PX qui fonctionne plutôt bien sous lucid ubuntu. Quand je joue de la musique via rythmnbox cela fonctionne bien, mais dès que je branche un casque ou que je relie le pc à ma chaine hifi, je n'ai pas de son.
En résumé la carte son est ok, mais la sortie son ne veut pas fonctionner. Vous auriez une idée pour régfler mon soucis?

Merci pour tout.

#23 Re : -1 »  Son haut-parleurs ok mais sortie son HS EEEpc 1001PX » Le 20/05/2010, à 17:34

petertosh
Réponses : 2

Bon j'essaye de régler ce soucis mais rien à faire, je bloque sur la sortie son, une idée?

#24 Re : -1 »  MAJ BIOS EEEpc 1001PX » Le 17/05/2010, à 19:59

petertosh
Réponses : 4

En FAT32 avec une clé de 512Mo cela passe sans soucis. Merci pour tes conseils.